<?php
/**
 * FAQ Woocommerce Admin
 *
 * @class    FAQ_Woocommerce_Admin
 * @package  FAQ_Woocommerce\Admin
 * @version  1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}

/**
 * FAQ_Woocommerce_Admin class.
 */
class FAQ_Woocommerce_Admin {

    /**
     * Constructor.
     */
    public function __construct() {
        add_action( 'init', array( $this, 'includes' ) );
        //add_filter( 'admin_footer_text', array( $this, 'admin_footer_text' ), 1 );
        //add_filter( 'update_footer', array( $this, 'admin_footer_version'), '', 9999 );
    }

    /**
     * Include any classes we need within admin.
     */
    public function includes() {
        include_once dirname( __FILE__ ) . '/faq-woocommerce-admin-functions.php';
        include_once dirname( __FILE__ ) . '/class-faq-woocommerce-admin-menus.php';
        include_once dirname( __FILE__ ) . '/class-faq-woocommerce-admin-notices.php';
        include_once dirname( __FILE__ ) . '/class-faq-woocommerce-admin-assets.php';
        
        //Setting page
        include_once dirname( __FILE__ ) . '/class-faq-woocommerce-settings.php';
    }

    /**
     * Change the admin footer text on woocommerce-faq admin pages.
     *
     * @since  1.0.0
     * @param  string $footer_text text to be rendered in the footer.
     * @return string
     */
    public function admin_footer_text( $footer_text ) {
        if ( ! current_user_can( 'manage_woocommerce' ) || ! function_exists( 'wc_get_screen_ids' ) ) {
            return $footer_text;
        }

        $footer_text = __( 'Thank you for using FAQ For Woocommerce.', 'faq-for-woocommerce' );

        return $footer_text;
    }

    public function admin_footer_version() {

    	$footer_version = sprintf( '<span class="ffw-admin-footer-version">Version: %s</span>', esc_html__( FFW_VERSION , 'faq-for-woocommerce') );

    	echo $footer_version;

    	return;
    }
}

return new FAQ_Woocommerce_Admin();
